Loading...
Searching...
No Matches
BALL::RSComputer Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/reducedSurface.h>`

## Classes

struct | ProbePosition

## Public Types

Enums
enum | ProbeStatus { STATUS_OK = 0 , STATUS_NOT_OK , STATUS_NOT_TESTED }
enum | AtomStatus { STATUS_ON_SURFACE = 0 , STATUS_INSIDE , STATUS_UNKNOWN }

## Public Member Functions

Constructors and Destructors
| RSComputer ()
| RSComputer (ReducedSurface *rs)
virtual | ~RSComputer ()

## Accessors

ReducedSurface * | rs_
std::vector< std::deque< Index > > | neighbours_
std::vector< AtomStatus > | atom_status_
HashMap< SortedPosition2, std::deque< Index > > | neighbours_of_two_
HashMap< SortedPosition3, ProbePosition * > | probe_positions_
std::deque< RSVertex * > | new_vertices_
HashSet< RSVertex * > | rm_vertices_
HashSet< RSFace * > | new_faces_
std::vector< std::list< RSVertex * > > | vertices_
void | run ()

## Detailed Description

Generic RSComputer Class.

Definition at line 475 of file reducedSurface.h.

## Member Enumeration Documentation

## AtomStatus

enum BALL::RSComputer::AtomStatus

status of an atom 0 on surface 1 inside 2 outside

Enumerator
STATUS_ON_SURFACE |
STATUS_INSIDE |
STATUS_UNKNOWN |

Definition at line 502 of file reducedSurface.h.

## ProbeStatus

enum BALL::RSComputer::ProbeStatus

status of the probe positions of three atoms: 0 ok 1 not ok 2 not tested

Enumerator
STATUS_OK |
STATUS_NOT_OK |
STATUS_NOT_TESTED |

Definition at line 490 of file reducedSurface.h.

## Constructor & Destructor Documentation

## RSComputer() [1/2]

BALL::RSComputer::RSComputer | ( |  | ) |

Default constructor. All components are initialized to (T)0 or NULL, respectivly.

## RSComputer() [2/2]

BALL::RSComputer::RSComputer | ( | ReducedSurface * | rs | ) |

Detailed constructor.

## ~RSComputer()

virtual BALL::RSComputer::~RSComputer | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## run()

void BALL::RSComputer::run | ( |  | ) |

Compute the reduced surface

Exceptions

  BALL::Exception::GeneralException |
  BALL::Exception::DivisionByZero |
  BALL::Exception::IndexOverflow |

## Member Data Documentation

## atom_status_

std::vector< AtomStatus > BALL::RSComputer::atom_status_

protected

Definition at line 873 of file reducedSurface.h.

## neighbours_

std::vector< std::deque<Index> > BALL::RSComputer::neighbours_

protected

Definition at line 869 of file reducedSurface.h.

## neighbours_of_two_

HashMap< SortedPosition2, std::deque<Index> > BALL::RSComputer::neighbours_of_two_

protected

Definition at line 877 of file reducedSurface.h.

## new_faces_

HashSet<RSFace*> BALL::RSComputer::new_faces_

protected

Definition at line 894 of file reducedSurface.h.

## new_vertices_

std::deque<RSVertex*> BALL::RSComputer::new_vertices_

protected

Definition at line 885 of file reducedSurface.h.

## probe_positions_

HashMap< SortedPosition3, ProbePosition* > BALL::RSComputer::probe_positions_

protected

Definition at line 881 of file reducedSurface.h.

## rm_vertices_

HashSet<RSVertex*> BALL::RSComputer::rm_vertices_

protected

Definition at line 890 of file reducedSurface.h.

## rs_

ReducedSurface* BALL::RSComputer::rs_

protected

Definition at line 865 of file reducedSurface.h.

## vertices_

std::vector< std::list<RSVertex*> > BALL::RSComputer::vertices_

protected

Definition at line 898 of file reducedSurface.h.